/*notsimple.c #3*/
// Programmer- Kevin Korpi

#include <GL/glut.h>
#include <GL/gl.h>

GLsizei ww, wh;

void square()
{
  //square

  glBegin(GL_POLYGON);
    glVertex2f(-0.5, -0.5);
    glVertex2f(-0.5, 0.5);
    glVertex2f(0.5, 0.5);
    glVertex2f(0.5, -0.5);
  glEnd();
}

void display()

{

  glClear(GL_COLOR_BUFFER_BIT);

  //square(); nolonger used
        #define SQUARE 1
        glNewList(SQUARE, GL_COMPILE);
	glPushAttrib(GL_CURRENT_BIT);
	glColor3f(0.0, 0.0, 0.0);
	glRectf(-10.0, -10.0, 10.0, 10.0);
	glPopAttrib();
	glEndList();
	glCallList(SQUARE);

  // shape names
  glColor3f(0.0, 0.0, 0.0);
  glRasterPos2d(-2.0, 0.5);

  //  glFlush();
  glutSwapBuffers();

}


int count = 0;

void init()
{

  // white background
  glClearColor(1.0, 1.0, 1.0, 1.0);
  //  color of shape
  glColor3f(0.0, 0.0, 0.0);
  glLineWidth(3.0);
  glLineStipple(3, 0xcccc);

}

// variables for gluOrotho2D
int left = -100.0, right = 100.0, down = -100.0, up = 100.0;
GLsizei w, h;
void myreshape(int w, int h)
{
  glViewport(0, 0, w, h);
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  if (w <= h) {
    gluOrtho2D (left, right, down * (GLfloat) h /
		(GLfloat) w, up * (GLfloat) h / (GLfloat) w);
  }
  else {
    gluOrtho2D (left * (GLfloat) w / (GLfloat) h,
		right * (GLfloat) w/(GLfloat) h, up, down);
  }
  glMatrixMode(GL_MODELVIEW);

  glViewport(0, 0, w, h);
  glLoadIdentity();

    glutDisplayFunc(display);

 ww = w;
 wh = h;
// doh duh! damn reshape function finally works
}

void mykey(int key)
{
  //if (key =='Q' || key == 'q') exit(0);
        if (key == GLUT_KEY_UP) {
	        ++up;
		++down;
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		gluOrtho2D(left, right, up, down);
		glutSwapBuffers();
		glutPostRedisplay();
	}
        if (key == GLUT_KEY_UP) {
	        --up;
		--down;
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		gluOrtho2D(left, right, up, down);
		glutSwapBuffers();
		glutPostRedisplay();
	}
        if (key == GLUT_KEY_UP) {
	        --left;
		--right;
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		gluOrtho2D(left, right, up, down);
		glutSwapBuffers();
		glutPostRedisplay();
	}
        if (key == GLUT_KEY_UP) {
	        ++left;
		++right;
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		gluOrtho2D(left, right, up, down);
		glutSwapBuffers();
		glutPostRedisplay();
	}
}

int main(int argc, char** argv)
{

  glutInit(&argc,argv);
  glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB);
  //glutInitWindowSize(100, 100);
  glutInitWindowPosition(100, 0);
  glutCreateWindow("simple");
  glutDisplayFunc(display);
  init();
  glutReshapeFunc(myreshape);
  glutSpecialFunc(mykey);
  glutMainLoop();

}
